<?php
class Controller extends Model
{

    public function insertController($tabela, $dados)
    {
        $result = $this->insertModel($tabela, $dados);
        return $result;
    }

    public function resetAiController($tabela)
    {
        $result = $this->resetAiModel($tabela);
        return $result;
    }

    public function updateController($tabela, $dados, $id)
    {
        $result = $this->updateModel($tabela, $dados, $id);
        return $result;
    }

    public function deleteController($tabela, $id)
    {
        $result = $this->deleteModel($tabela, $id);
        return $result;
    }

    public function selectController($tabela)
    {
        $result = $this->selectModel($tabela);
        return $result;
    }

    public function querySelectController($tabela, $id)
    {
        $result = $this->querySelectModel($tabela, $id);
        return $result;
    }

    public function autoIncrementController($database, $tabela, $alias)
    {
        $result = $this->autoIncrementModel($database, $tabela, $alias);
        return $result;
    }

    public function countController($tabela, $id)
    {
        $result = $this->countModel($tabela, $id);
        return $result;
    }

    public function loginController($tabela, $dados)
    {
        $result = $this->loginModel($tabela, $dados);
        return $result;
    }
}
